<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysIndustryMapper">

    <resultMap type="industry" id="industry">
        <id     property="id"       column="id"      />
		<id     property="name"       column="name"      />
		<id     property="code"       column="code"      />
		<id     property="state"       column="state"      />
		<id     property="parent_code"       column="parent_code"      />

    </resultMap>



	<select id="selectIndustryList" parameterType="industry" resultMap="industry">
		select id,name,code,state,parent_code
		from t_industry
	</select>

	<select id="selectIndustryNameByCode" resultType="String">
		select name
		from t_industry where code=#{code}
	</select>

	
</mapper> 